PHONY_TARGETS=all veryclean clean
.PHONY : $(PHONY_TARGETS)

version:=$(shell cat ../../version)
release:=$(shell cat ../../release)
bsys6_release:=$(shell cat ../../bsys6_release)
full_version:=$(version)-$(release)$(shell [ $(bsys6_release) -gt 1 ] && echo "-$(bsys6_release)")
ifeq ($(arch),)
arch:=x86_64
endif

artifact=librewolf-$(full_version).en-US.linux-$(arch).flatpak

all : mockup

mockup :
	echo mockup > $(artifact)

clean :
	rm -f $(artifact)

veryclean : clean
	rm -f version release bsys6_release librewolf-$(full_version).en-US.linux-$(arch).tar.bz2

help :
	@echo Available targets: $(PHONY_TARGETS)

